- name: default
  kind: postgres
  configuration:
    connection_info:
      database_url:
        from_env: HASURA_GRAPHQL_DATABASE_URL
      isolation_level: read-committed
      pool_settings:
        connection_lifetime: $(fastplatform.addons.sobloo.services.tile-map.catalog.db.default.hasura-pg-conn-lifetime)
        idle_timeout: $(fastplatform.addons.sobloo.services.tile-map.catalog.db.default.hasura-pg-idle-timeout)
        max_connections: $(fastplatform.addons.sobloo.services.tile-map.catalog.db.default.hasura-pg-max-connections)
        retries: 1
      use_prepared_statements: true
  tables:
    - table:
        name: satellite_image
        schema: public
      array_relationships:
        - name: satellite_image_processings
          using:
            foreign_key_constraint_on:
              column: image
              table:
                name: satellite_image_processing
                schema: public
      select_permissions:
        - permission:
            allow_aggregations: true
            columns:
              - id
              - name
              - mission
              - mission_code
              - geometry
              - cloud_cover
              - acquisition_date
            filter: {}
          role: farmer
        - permission:
            allow_aggregations: true
            columns:
              - acquisition_date
              - geometry
              - cloud_cover
              - id
              - mission
              - mission_code
              - name
            filter: {}
          role: service
        - permission:
            allow_aggregations: true
            columns:
              - id
              - name
              - mission
              - mission_code
              - geometry
              - cloud_cover
              - acquisition_date
            filter: {}
          role: staff
    - table:
        name: satellite_image_processing
        schema: public
      object_relationships:
        - name: satellite_image
          using:
            foreign_key_constraint_on: image
      select_permissions:
        - permission:
            allow_aggregations: true
            columns:
              - id
              - image
              - process
              - url
              - available
            filter: {}
          role: farmer
        - permission:
            allow_aggregations: true
            columns:
              - available
              - id
              - image
              - process
              - url
            filter: {}
          role: service
        - permission:
            allow_aggregations: true
            columns:
              - id
              - image
              - process
              - url
              - available
            filter: {}
          role: staff
